import 'package:flutter/material.dart';
import 'package:tm_app/core/utils/size_config.dart';
import 'package:tm_app/views/shared/responsive_builder.dart';
import 'package:tm_app/views/splash/pages/d_splash_page.dart';
import 'package:tm_app/views/splash/pages/m_splash_page.dart';
import 'package:tm_app/views/splash/pages/t_splash_page.dart';

class SplashScreen extends StatelessWidget {
  const SplashScreen({required this.navigateToNotification, super.key});
  final bool navigateToNotification;

  @override
  Widget build(BuildContext context) {
    SizeConfig.init(context);
    return ResponsiveBuilder(
      mobile: MobileSplashPage(navigateToNotification: navigateToNotification),
      tablet: const TabletSplashPage(),
      desktop: const DesktopSplashPage(),
    );
  }
}
